org.apache.ignite.internal.processors.platform.datastreamer

## Class PlatformDataStreamer

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.datastreamer.PlatformDataStreamer

All Implemented Interfaces:
  PlatformTarget

    public class PlatformDataStreamer
    extends PlatformAbstractTarget

Interop data streamer wrapper.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformDataStreamer(PlatformContext platformCtx, String cacheName, DataStreamerImpl ldr, boolean keepBinary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allowOverwrite()`
`void` `allowOverwrite(boolean val)`
`int` `perNodeBufferSize()`
`void` `perNodeBufferSize(int val)`
`int` `perNodeParallelOperations()`
`void` `perNodeParallelOperations(int val)`
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`boolean` `skipStore()`
`void` `skipStore(boolean skipStore)`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDataStreamer

    public PlatformDataStreamer(PlatformContext platformCtx,
                                String cacheName,
                                DataStreamerImpl ldr,
                                boolean keepBinary)

Constructor.

Parameters:
  `platformCtx` - Context.
  `ldr` - Data streamer.

### Method Detail

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                                       BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                                     long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### allowOverwrite

    public boolean allowOverwrite()

Returns:
  Allow-overwrite flag.

#### allowOverwrite

    public void allowOverwrite(boolean val)

Parameters:
  `val` - Allow-overwrite flag.

#### skipStore

    public boolean skipStore()

Returns:
  Skip store flag.

#### skipStore

    public void skipStore(boolean skipStore)

Parameters:
  `skipStore` - Skip store flag.

#### perNodeBufferSize

    public int perNodeBufferSize()

Returns:
  Per-node buffer size.

#### perNodeBufferSize

    public void perNodeBufferSize(int val)

Parameters:
  `val` - Per-node buffer size.

#### perNodeParallelOperations

    public int perNodeParallelOperations()

Returns:
  Per-node parallel load operations.

#### perNodeParallelOperations

    public void perNodeParallelOperations(int val)

Parameters:
  `val` - Per-node parallel load operations.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022